petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexGetFaceGeometry

Retrieve the geometric values for a chunk of faces

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexGetFaceGeometry(DM dm, PetscInt fStart, PetscInt fEnd, Vec faceGeometry, Vec cellGeometry, PetscInt *Nface, PetscFVFaceGeom **fgeom, PetscReal **vol)

### Input Parameters

| dm | - The DM
| fStart | - The first face to include
| fEnd | - The first face to exclude
| faceGeometry | - A local vector with face geometry
| cellGeometry | - A local vector with cell geometry

### Output Parameters

| Nface | - The number of faces with field values
| fgeom | - The extract the face centroid and normal
| vol | - The cell volume

### See Also

DMPlexGetCellFields()

### Level

developer

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages